# $Revision: 1.161 $, $Date: 2011/06/16 20:59:43 $
# TODO:
# - pl-manual is really not-up-to-date
Summary:	Boot loader for Linux and other operating systems
Summary(de.UTF-8):	Boot-Lader für Linux und andere Betriebssysteme
Summary(es.UTF-8):	Cargador de arranque para Linux y otros sistemas operativos
Summary(fr.UTF-8):	Chargeur de boot pour Linux et autres systèmes d'exploitation
Summary(pl.UTF-8):	Boot Loader dla Linuksa i innych systemów operacyjnych
Summary(pt_BR.UTF-8):	Carregador de boot para Linux e outros sistemas operacionais
Summary(ru.UTF-8):	Загрузчик для Linux и других операционных систем
Summary(tr.UTF-8):	Linux ve diger işletim sistemleri için sistem yükleyici
Summary(uk.UTF-8):	Завантажувач для Linux та інших операційних систем
Summary(zh_CN.UTF-8):	Linux 和其它系统的引导模块。
Name:		lilo
Version:	23.2
Release:	1
Epoch:		2
License:	BSD
Group:		Applications/System
Source0:	http://lilo.alioth.debian.org/ftp/sources/%{name}-%{version}.tar.gz
# Source0-md5:	51b9b9db665d3b8724919e3d46054d12
Source1:	%{name}-pldblack.bmp
Source2:	%{name}.conf
Source3:	%{name}_functions.sh
Source4:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source4-md5:	5d93c6c01175d2e701ca77de16368a62
Source5:	%{name}-pldblue.bmp
Source6:	%{name}-pldblue8.bmp
Patch0:		%{name}-nobash.patch
Patch1:		%{name}-cc.patch
Patch2:		%{name}-pagesize.patch
Patch3:		%{name}-dm.patch
URL:		http://lilo.alioth.debian.org/
BuildRequires:	bin86 >= 0.15
BuildRequires:	device-mapper-devel >= 1.01.01
BuildRequires:	sed >= 4.0
# uudecode command
BuildRequires:	sharutils
Provides:	bootloader
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin
%define		_usrsbindir	%{_prefix}/sbin

%description
Lilo is repsonsible for loading your linux kernel from either a floppy
or a hard drive and giving it control of the system. It can also be
used to boot many other operating sysetms, including the BSD variants,
DOS, and OS/2.

%description -l de.UTF-8
Lilo ist zuständig für das Laden des Linux-Kernels, entweder von einer
Diskette oder einer Festplatte, und übergibt diesem dann die Kontrolle
über das System. Es kann auch benutzt werden, um viele andere
Betriebssysteme zu laden, etwa die BSD-Varianten, DOS und OS/2.

%description -l es.UTF-8
Lilo es responsable de cargar el kernel Linux de un disquete o del
disco duro, dándole el control del sistema. Puede también ser usado
para "bootar" varios otros sistemas operativos, incluyendo variantes
de BSD, DOS y OS/2.

%description -l pl.UTF-8
Lilo jest odpowiedzialny za ładowanie jądra systemu Linux z dysku
twardego lub stacji dyskietek. Może także być używany do startowania
innych systemów operacyjnych, takich jak różne warianty BSD czy OS/2,
jak również DOS.

%description -l pt_BR.UTF-8
Lilo é responsável pelo carregamento do kernel Linux de um disquete ou
do disco rígido, dando a ele o controle do sistema. Ele pode também
ser usado para "bootar" vários outros sistemas operacionais, incluindo
variantes de BSD, DOS e OS/2.

%description -l ru.UTF-8
Lilo отвечает за загрузку ядра Linux с дискеты или жесткого диска и
передачу ему управления системой. Также может быть использовано для
загрузки многих других систем, включая диалекты BSD, DOS и OS/2.

%description -l tr.UTF-8
Lilo, Linux çekirdeğinin disket veya sabit disk sürücüden
yüklenmesinden sorumludur. Ayrıca pek çok diğer işletim sisteminin de
açılışta yüklenmesi için kullanılır. Bu sistemler arasında BSD
türevleri, DOS ve OS/2 sayılabilir.

%description -l uk.UTF-8
Lilo відповідає за завантаження ядра Linux з дискети чи жорсткого
диску та передачі йому керування системою. Дозволяє також
завантажувати інші операційні системи, включаючи діалекти BSD, DOS та
OS/2.

%package -n rc-boot-lilo
Summary:	lilo support for rc-boot
Summary(pl.UTF-8):	Wsparcie lilo dla rc-boot
Group:		Base
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	rc-boot
Provides:	rc-boot-bootloader

%description -n rc-boot-lilo
lilo support for rc-boot.

%description -n rc-boot-lilo -l pl.UTF-8
Wsparcie lilo dla rc-boot.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
:> checkit
sed -i -e 's#/bin/bcc#/nonexistant/file#g' Makefile*
%{__make} all \
	CC="%{__cc}" \
	OPT="%{rpmcflags} %{rpmcppflags} -DLCF_DEVMAPPER" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/sysconfig/rc-boot,%{_mandir}/man{5,8}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/lilo.conf

# driver for rc-boot
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/rc-boot

install %{SOURCE1} $RPM_BUILD_ROOT/boot
install %{SOURCE5} $RPM_BUILD_ROOT/boot
install %{SOURCE6} $RPM_BUILD_ROOT/boot

touch $RPM_BUILD_ROOT%{_sysconfdir}/disktab

bzip2 -dc %{SOURCE4} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo "Remember to type \"lilo\" after upgrade. Or rc-boot if you are using it."

%files
%defattr(644,root,root,755)
%doc CHANGELOG* NEWS README TODO QuickInst readme
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%attr(600,root,root) %config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/disktab
/boot/lilo-pldblack.bmp
/boot/lilo-pldblue.bmp
/boot/lilo-pldblue8.bmp
%attr(755,root,root) %{_sbindir}/lilo
%attr(755,root,root) %{_usrsbindir}/keytab-lilo
%attr(755,root,root) %{_usrsbindir}/mkrescue
%{_mandir}/man[58]/*
%lang(cs) %{_mandir}/cs/man[58]/*
%lang(de) %{_mandir}/de/man[58]/*
%lang(es) %{_mandir}/es/man[58]/*
%lang(fr) %{_mandir}/fr/man[58]/*
%lang(hu) %{_mandir}/hu/man[58]/*
%lang(it) %{_mandir}/it/man[58]/*
%lang(ja) %{_mandir}/ja/man[58]/*
%lang(ko) %{_mandir}/ko/man[58]/*
%lang(pl) %{_mandir}/pl/man[58]/*
%lang(ru) %{_mandir}/ru/man[58]/*

%files -n rc-boot-lilo
%defattr(644,root,root,755)
/etc/sysconfig/rc-boot/%{name}_functions.sh

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lilo.spec,v $
Revision 1.161  2011/06/16 20:59:43  lkrotowski
- up to 23.2

Revision 1.160  2011/02/02 18:07:03  sparky
- BR: sharutils (for uudecode)

Revision 1.159  2010/12/03 08:46:21  arekm
- up to 23.1

Revision 1.158  2010/10/13 12:56:40  arekm
- better home page

Revision 1.157  2010/10/13 12:40:25  arekm
- up to 23.0

Revision 1.156  2010/02/03 12:33:16  matkor
- Release 6. degraded_arrary.patch by Christian Schoniger for running lilo when first disk on array is failed.

Revision 1.155  2009/12/12 13:36:56  blues
- it seems lilo is not maintained anymore and there is no official webpage.

Revision 1.154  2008/07/15 11:31:57  arekm
- rel 5; correctly recognize lvm in some setups

Revision 1.153  2008-01-06 23:10:21  arvenil
- added "P: rc-boot-bootloader" for rc-boot-* subpackage
- cleanups

Revision 1.152  2007-06-02 22:23:32  arekm
- rel 3; missing epoch in R

Revision 1.151  2007/05/27 12:19:02  wolf
- cosmetics

Revision 1.150  2007/04/19 10:06:12  arekm
- rel 2; rc-boot functions separated

Revision 1.149  2007/04/01 09:22:23  qboosh
- removed obsolete ioctls patch

Revision 1.148  2007/04/01 00:34:53  arekm
- up to 22.8

Revision 1.147  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.146  2007/02/12 00:49:05  baggins
- converted to UTF-8

Revision 1.145  2006/09/19 22:08:45  arekm
- for testing; do not use hardcodec major for DM devices

Revision 1.144  2006/08/22 15:34:29  glen
- rel 1

Revision 1.143  2006/08/16 10:37:35  qboosh
- updated makefile patch, removed obsolete dmraid patch, fixed md5 and build

Revision 1.142  2006/08/12 13:55:43  arekm
- partial up to 22.7.3

Revision 1.141  2006/07/18 12:18:53  qboosh
- updated to 22.7.2, updated cc,dmraid patches

Revision 1.140  2006/06/28 14:36:27  pluto
- release 2 for rebuild with new devmapper.

Revision 1.139  2005/12/13 11:54:17  glen
- adalterized (sorted %verify flags)

Revision 1.138  2005/09/21 20:05:38  darekr
- defined _sbindir to /sbin to use macro
- BR: sed 4.0

Revision 1.137  2005/09/18 11:58:41  areq
- 22.7.1

Revision 1.136  2005/06/10 15:23:14  hawk
- release 3 (2 went to Ra)

Revision 1.135  2005/05/11 17:05:48  qboosh
- use x8664 macro

Revision 1.134  2005/05/03 15:47:51  arekm
- don't fail if bcc is installed

Revision 1.133  2005/04/12 18:00:59  paszczus
- updated to 22.7

Revision 1.132  2005/02/26 15:28:24  qboosh
- BR: device-mapper-devel (needed by dmraid patch)

Revision 1.131  2005/01/04 22:50:26  paszczus
- updated to 22.6.1
- updated -cc.patch and -nobash.patch

Revision 1.130  2004/11/04 11:06:48  adasi
- added dmraid patch
- adapted from
  https://www.redhat.com/archives/ataraid-list/2004-October/msg00019.html
- enables dmraid for LILO (users of LVM have other options, also Saout's LVM
  patch was disabled). This one would support LVM to in near future
- not tested

Revision 1.129  2004/10/15 21:43:14  undefine
- it builds and works on amd64 too. release 2

Revision 1.128  2004/09/03 10:36:38  qboosh
- updated to 22.6
- pagesize patch replaces gkh patch, removed the latter
- updated makefile,ioctls,cc patches
- nasm is no longer BRed, but bin86 still is
- commented device-mapper-devel BR as devmapper patch is not enabled

Revision 1.127  2004/09/02 22:43:26  blues
- added empty disktab

Revision 1.126  2004/07/17 15:18:46  domelu
- url change

Revision 1.125  2004/07/17 14:43:10  arekm
- disable dm patch for now

Revision 1.124  2004/06/22 20:36:50  arekm
- add lvm support

Revision 1.123  2004/06/13 09:23:49  arekm
- get real size of pages

Revision 1.122  2004/04/18 18:32:29  qboosh
- added diag1 utility image; made *.bmp world-readable, no reason for 640

Revision 1.121  2004/04/14 10:09:38  paszczus
- corrected position of URL

Revision 1.120  2004/04/14 10:00:48  paszczus
- added URL

Revision 1.119  2004/04/14 08:44:34  agaran
- update to 22.5.9, rel 1

Revision 1.118  2004/03/19 09:43:10  arekm
- document fallback option since it seems very usefull

Revision 1.117  2004/02/03 12:31:45  grzegol
- added cc patch - fix building diagnostic

Revision 1.116  2004/02/03 11:14:59  qboosh
- added ioctls,gkh patches (now builds with gkh); release 5

Revision 1.115  2003/10/30 20:02:14  pzurowski
- release 4 (STBR)
- fixed rc-boot driver: now empty LILO_BMP_ values are not included in lilo.conf (it casued error if there was empty). Empty//Commented out the values are usefull if meta information in bitmap must be not overwritten.

Revision 1.114  2003/10/26 22:37:57  pzurowski
- Release 3 (STBR)
- Added lilo metainfo to pldblue.bmp (thnx arekm)
- Added pldblue8.bmp - the same as plblue.bmp but in 256 colors (may not work on some machines)

Revision 1.113  2003/10/26 19:13:14  pzurowski
- Release 2 (STBR)
- Added lilo-pldblue.bmp - Nicer lilo splash bitmap based on mimooh's pisarz.png

Revision 1.112  2003/10/10 21:21:57  orzech
- up to 22.5.8

Revision 1.111  2003/09/20 13:46:30  misi3k
- cosmetics

Revision 1.110  2003/08/21 07:59:15  orzech
- up to 22.5.7.2

Revision 1.109  2003/08/11 07:30:29  orzech
- up to 22.5.7

Revision 1.108  2003/06/30 08:34:10  orzech
- up to 22.5.6

Revision 1.107  2003/06/16 21:51:37  orzech
- up to 22.5.5

Revision 1.106  2003/06/02 15:18:31  ankry
- added/changed non-english-man-pages URL

Revision 1.105  2003/05/29 20:44:02  orzech
- up to 22.5.4

Revision 1.104  2003/05/25 11:00:54  malekith
- massive attack, adding Source-md5

Revision 1.103  2003/05/25 05:50:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.102  2003/05/12 13:22:23  ankry
- "updated" src URL

Revision 1.101  2003/05/12 11:18:56  kloczek
- back to 22.5.2 (epoch: 2, release 2): broken RAID handling.

Revision 1.100  2003/05/11 18:55:08  misi3k
- updated to 22.5.3

Revision 1.99  2003/05/03 13:18:05  aflinta
- version 22.5.2

Revision 1.98  2003/03/31 12:04:43  aflinta
- updated to version 22.5.1

Revision 1.97  2003/03/16 18:15:42  misiek
- rel 2

Revision 1.96  2003/03/16 17:44:25  mkierus
- added patch which fix boot error (LILO 22.5 displays L 10 10 ... )

Revision 1.95  2003/03/05 01:37:29  aflinta
- updated to version 22.5

Revision 1.94  2003/01/30 23:50:32  aflinta
- updated to version 22.4.1

Revision 1.93  2003/01/25 00:49:47  misiek
- updated to 22.4

Revision 1.92  2002/12/07 14:33:09  ankry
- fix improper usage of %%{_sysconfdir}

Revision 1.91  2002/11/02 07:42:04  orzech
- updated to 22.3.4:
  - "mem=size@start" command line was added for 2.4 kernels
  - bugfixes

Revision 1.90  2002/10/24 00:13:09  ankry
- updated man pages; rel. 3

Revision 1.89  2002/09/01 07:59:39  kloczek
- remove keytab-lilo.pl from %files (so now lilo does't depend on perl).

Revision 1.88  2002/08/31 07:41:47  aflinta
- added missing file keytab-lilo.pl
- release 2

Revision 1.87  2002/08/31 07:30:56  orzech
- up to 22.3.3 (evms support added)

Revision 1.86  2002/07/12 22:44:52  qboosh
- added missing /sbin/mkrescue and es manuals
- added nobash patch for mkrescue (I hope it's enough)

Revision 1.85  2002/07/11 18:59:42  orzech
- update to 22.3.2 (bugfix release)

Revision 1.84  2002/06/22 23:06:06  kloczek
- merge translations from TurboLinux.

Revision 1.83  2002/06/17 21:26:53  qboosh
- makefile patch is back (updated)

Revision 1.82  2002/06/17 07:24:43  lukasz
- 22.3.1

Revision 1.81  2002/06/03 13:09:29  djrzulf
- i'm blind,
- back changes,

Revision 1.80  2002/06/02 16:45:57  djrzulf
- added missed boot-*.b files,

Revision 1.79  2002/05/22 20:07:38  blues
- release 2
- rebuild with new lilo_functions.sh script (alias handling)

Revision 1.78  2002/05/20 17:31:28  orzech
- BR: nasm

Revision 1.77  2002/05/20 15:22:28  orzech
- updated to 22.3
- rel.1

Revision 1.76  2002/04/14 16:13:32  jajcus
- Release 3 (STBR)
- include all README* files in %%doc.

Revision 1.75  2002/03/30 22:42:20  qboosh
- removed obsolete cpp-macros patch

Revision 1.74  2002/03/19 21:13:31  kloczek
- merge translations from KSI.

Revision 1.73  2002/03/19 12:22:13  misiek
- include EVMS support; release 2

Revision 1.72  2002/02/22 23:29:13  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.71  2002/02/06 15:30:33  kloczek
- adapterized.

Revision 1.70  2002/02/06 15:21:42  lukasz
- fixed section build

Revision 1.69  2002/02/06 11:58:49  lukasz
- 22.2

Revision 1.68  2002/01/18 20:51:18  kloczek
- release 4.

Revision 1.67  2002/01/18 20:11:56  qboosh
- s/pld-devel-en/feedback/

Revision 1.66  2001/11/27 20:44:05  qrczak
- lilo-cpp-macros.patch: #ifdef can't be used inside a macro argument
  (gcc-3.x doesn't like this).
- Release 3.

Revision 1.65  2001/11/27 00:23:48  ankry
- added cs, de, es, hu, it, ja, ko, pl, ru man pages
- release 2

Revision 1.64  2001/11/01 14:49:34  areq
- 22.1, STBR

Revision 1.63  2001/10/29 20:49:42  filon
- license has changed to BSD
- release 4

Revision 1.62  2001/10/20 14:59:52  kloczek
- bump release to 3.

Revision 1.61  2001/10/18 13:03:41  malekith
- rc-boot support added
- rel 2

Revision 1.60  2001/10/15 17:14:18  misiek
- updated to 22.0.2

Revision 1.59  2001/10/11 18:20:09  qboosh
- fixed optflags (s/OPTIMIZE/OPT/)

Revision 1.58  2001/10/06 16:15:15  kloczek
- added translations stolen from CNV.

Revision 1.57  2001/10/06 09:15:52  misiek
- updated to 22.0.1

Revision 1.56  2001/09/28 14:01:52  areq
- fix sample lilo.conf s/boot.b/boot-bmp.b/
- Release 2, STBR

Revision 1.55  2001/09/28 03:21:41  kloczek
- updated to final 22.0.

Revision 1.54  2001/08/04 12:02:37  aflinta
 - added sample lilo.conf with graphical menu enabled

Revision 1.53  2001/07/11 08:30:56  dobrek
-Added support for rc-boot.

Revision 1.52  2001/06/24 18:27:02  aflinta
- preparing for version 22.0

Revision 1.51  2001/05/20 12:01:19  blues
- typo

Revision 1.50  2001/05/08 09:49:04  blues
- added %post

Revision 1.49  2001/05/07 14:54:16  kloczek
- updated to 21.7.5.

Revision 1.48  2001/04/11 10:08:39  misiek
21.7.4

Revision 1.47  2001/03/31 08:49:45  misiek
post removed

Revision 1.46  2001/03/31 08:19:29  blues
- typo in squid
- added %post in lilo - I'm sick of running every time lilo manually...

Revision 1.45  2001/03/30 20:13:30  misiek
use tar.gz instead patches

Revision 1.44  2001/03/29 22:09:26  lukasz
- added missing patch

Revision 1.43  2001/03/29 22:05:15  lukasz
- 21.7.3

Revision 1.42  2001/03/23 17:13:48  qboosh
- added %%config(noreplace) %%verify(not link) on /boot/boot.b symlink
- release 2

Revision 1.41  2001/03/22 07:40:42  misiek
21.7.2

Revision 1.40  2001/02/25 00:41:31  misiek
21.7; stb

Revision 1.39  2001/01/25 20:03:24  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.38  2001/01/17 00:27:46  qboosh
- release 2:
- use OPTIMIZE in Makefile

Revision 1.37  2001/01/02 06:30:23  kloczek
- merge sa5300 nad i20 patches from RH.

Revision 1.36  2001/01/02 06:19:11  kloczek
- updated to 21.6.1.

Revision 1.35  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.34  2000/11/18 22:08:47  kloczek
- release 2.

Revision 1.33  2000/11/18 14:13:09  misiek
added maintainer patches

Revision 1.32  2000/10/09 04:49:13  kloczek
- added 'Epoch: 1" for allow upgrade from 21.16dev0-1 (please do not pack
  devel version in future or icrease Epoch in case like this).

Revision 1.31  2000/10/08 20:46:08  zagrodzki
- updated to 21.6

Revision 1.30  2000/09/29 15:25:34  zagrodzki
- updated to 21.6dev0 (required to run with kernel on reiserfs partiton)

Revision 1.29  2000/09/28 13:40:13  kloczek
- release 2,
- adapterized,
- make spec %%{debug} ready,
- use rpm new automation.

Revision 1.28  2000/08/27 22:25:28  kloczek
- updated to 21.5.1.

Revision 1.27  2000/08/01 14:57:36  mis
- Provide: "bootloader" added

Revision 1.26  2000/07/25 05:06:13  kloczek
- release 2.

Revision 1.25  2000/07/24 11:35:33  malekith
Added patch to display message (and not to SEGV) when there's no
boot= line in config file.

Revision 1.24  2000/07/19 14:17:45  lukasz
- updated to 21.5

Revision 1.23  2000/07/13 16:05:44  zagrodzki
- back to bin86, but >= 0.15

Revision 1.22  2000/07/13 08:21:23  zagrodzki
- BuildReq: dev86 (not bin86)

Revision 1.21  2000/06/11 20:33:51  kloczek
- updated to 21.4.4,
- spec adapterized.

Revision 1.20  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.19  2000/05/07 12:43:04  kloczek
- updated to 21.4.3.

Revision 1.18  2000/04/14 05:10:29  kloczek
- updated to 21.4.2.

Revision 1.17  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.16  2000/03/28 23:06:46  zagrodzki
- removed %post from lilo (installing of package should not modify
  current boot sector)

Revision 1.15  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.14  2000/03/21 14:52:07  kloczek
- updated to 21.4.

Revision 1.13  1999/09/04 10:07:12  pius
-  s-i386 i486 i586 i686-\%{ix86}-g

Revision 1.12  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).
